/* Get Score for DoD STATS.
 *
 * (c) 2003, OLO
 * This file is provided as is (no warranties).
 *
 * Function calculates position in rank.
 *
 * DoDStats conversion by SidLuke
 * Stats:
 * 0 - kills
 * 1 - deaths
 * 2 - headshots
 * 3 - teamkilling
 * 4 - shots
 * 5 - hits
 * 6 - damage
 * 7 - score
 *
 * Updated for AMX 0.9.9 by Vapok
 *
 */

#include <translator>
#include <amxmod>

public get_score(stats[9],body[8]) {
  return stats[0] + stats[7] - stats[1] - stats[3] /* kills + score - deaths - tks */
}


/* This one is just for the server admin to know that he doesn't need
* to declare this plugin in his plugins.ini file. */
public plugin_init() {
  load_translations("dodstats")
  register_plugin(_T("DoDStats rank calculator"),AMX_VERSION,"AMX Team")

  server_print(_T("You've added dodstats.amx to your plugins.ini!"))
  server_print(_T("You don't need to: DoDStats will load it itself."))

  pause("ae")
}
